unit agent_types;

{$mode objfpc}{$H+}

interface

uses
	Classes, fgl,
	Windows;

type
	TAgentType = class;
	TAgentTypes = specialize TFPGList<TAgentType>;

	{ TAgentType }

	TAgentType = class
		Name: String;
		AllocatorOffset: SizeUInt;
		BytesPerInstance: SizeUInt;
		InstanceCount: SizeUInt;
	end;

var
	Types: TAgentTypes;

implementation

initialization
	Types:= TAgentTypes.Create;

finalization
	Types.Free;

end.

